Blocco dei componenti aggiuntivi pericolosi

Se si riscontrano problemi con uno o più componenti aggiuntivi: a partire dalla versione 57 di Firefox (il cui rilascio è previsto il 14 novembre 2017), potranno funzionare soltanto quei componenti aggiuntivi che utilizzano le WebExtensions API, la nuova tecnologia per le estensioni di Firefox. In caso di dubbi sull'aggiornamento dei componenti aggiuntivi installati, leggere questa pagina di domande e risposte per ulteriori dettagli.

I componenti aggiuntivi (estensioni, temi e plugin) che violano le linee guida di Mozilla vengono inseriti in uno speciale elenco e disattivati automaticamente.

Effetti del blocco

Disattivazione dei componenti non sicuri

I componenti aggiuntivi considerati non sicuri verranno disattivati e sarà visualizzato il seguente messaggio:

Firefox ha rilevato che i seguenti componenti aggiuntivi sono segnalati come causa di problemi di stabilità o sicurezza:


Add-ons Blocklist Mac1

Per impedire l'attivazione di questi componenti, fare clic su Riavvia Firefox.

Impossibilità di installazione di componenti non sicuri

Quando si tenta di installare uno dei componenti non sicuri inseriti in quell'elenco, ne verrà impedita l'installazione e sarà visualizzato il seguente messaggio:

Impossibile installare (nome del componente aggiuntivo) in quanto comporta un rischio elevato per la stabilità o la sicurezza.

Impedire l'attivazione automatica dei plugin

È possibile fare in modo che i plugin non si attivino automaticamente, prevenendo in questo modo diversi problemi. Quando un plugin è bloccato, verrà visualizzato un messaggio simile a quello riportato in figura:

click_to_play_1_new

È possibile a questo punto scegliere di attivare il plugin o aggiornarlo (se è disponibile un aggiornamento). Per ulteriori informazioni, leggere l'articolo Perché è necessario attivare i plugin con un clic?

Mozilla ha abbandonato il supporto a tutti i plugin NPAPI ad eccezione di Flash a partire dalla versione 52 di Firefox rilasciata il 7 marzo 2017. Leggere questo articolo (in inglese) e l'articolo Perché Java, Silverlight, Adobe Acrobat e altri plugin non funzionano più? per ulteriori dettagli.
A partire dalla versione 52 di Firefox è stato abbandonato il supporto a tutti i plugin NPAPI ad eccezione di Flash. Leggere questo articolo (in inglese) e l'articolo Perché Java, Silverlight, Adobe Acrobat e altri plugin non funzionano più? per ulteriori dettagli.

Azioni da intraprendere

Disattivazione di componenti già installati

Estensioni o temi

  1. Fare clic sul pulsante dei menu Fx57menu New Fx Menu e successivamente su Componenti aggiuntivi Fx57Addons-icon Componenti aggiuntivi per aprire la scheda di gestione dei componenti aggiuntivi.

  2. Nella scheda di gestione dei componenti aggiuntivi, selezionare il pannello Estensioni.
  3. Assicurarsi che nel menu a discesa "Strumenti per tutti i componenti aggiuntivi" Add-on Tools Icon sia selezionata la voce Aggiorna automaticamente i componenti aggiuntivi.

Plugin

Verificare se è disponibile una versione aggiornata dei plugin. Se non vengono rilevati aggiornamenti, può essere opportuno contattare lo sviluppatore del plugin bloccato.

Installazioni bloccate

Se è stata impedita l'installazione di un componente aggiuntivo controllare se sia disponibile una sua versione più aggiornata che non presenti i problemi di sicurezza e stabilità.

Note: se non è disponibile una versione aggiornata, può essere opportuno contattare lo sviluppatore del componente aggiuntivo bloccato.

Elenco dei componenti aggiuntivi bloccati

L'elenco dei componenti aggiuntivi bloccati è consultabile a questa pagina.

È stato utile questo articolo? Attendere...

Utenti che hanno contribuito a scrivere questo articolo: Underpass, Michele Rodaro. Tutti possono contribuire.